package enum

import "designs/utils"

var (
	// MSG_DATABASE_ERROR mysql database error
	MSG_DATABASE_ERROR = "database error"
	// MSG_JSON_PARSE_ERROR json parse error
	MSG_JSON_PARSE_ERROR = "json parse error"
	// MSG_HTTP_REQUEST_ERROR http request error
	MSG_HTTP_REQUEST_ERROR = "http request error"
)

var SystemErrorList = []string{MSG_DATABASE_ERROR, MSG_JSON_PARSE_ERROR, MSG_HTTP_REQUEST_ERROR}

func IsSystemError(err error) bool {
	return utils.InArray(err.Error(), SystemErrorList)
}
