package model

type Game struct {
	Id         int    `json:"id" gorm:"primary_key"`
	Pid        string `json:"pid" gorm:"column:pid; "`
	Gid        string `json:"gid" gorm:"column:gid; "`
	GameName   string `json:"gameName" gorm:"column:gameName; "`
	WxAppid    string `json:"wxAppid" gorm:"column:wxAppid; "`
	WxSecret   string `json:"wxSecret" gorm:"column:wxSecret; "`
	TtAppid    string `json:"ttAppid" gorm:"column:ttAppid; "`
	TtSecret   string `json:"ttSecret" gorm:"column:ttSecret; "`
	TtTplId    string `json:"ttTplId" gorm:"column:ttTplId; "`
	WxTplId    string `json:"wxTplId" gorm:"column:wxTplId; "`
	ConfigPath string `json:"configPath" gorm:"column:configPath; "`
	CreatedAt  XTime  `json:"createdAt" gorm:"column:createdAt; "`
	UpdatedAt  XTime  `json:"updatedAt" gorm:"column:updatedAt; "`
}
